<!DOCTYPE html>
<html>

<head>
  <title> Task 25.40 ... Order Details </title>
  <meta charset='utf-8'>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <div class="container jumbotron ">
    <div class="col-12 ">
      <div class="text-center mb-5 " > <h1 style="color:goldenrod"> Order Details</h1> </div>
       
      <label class="col-sm-12 col-form-label">Order Code (mã đơn hàng)</label>
        <div class="col-sm-12">
          <input id="inp-order-code" type="text" class="form-control" placeholder="...">
        </div>
      
      <label class="col-sm-12 ">Cỡ Combo</label>
        <div class="col-sm-12">
          <select id="select-size" class="form-control">
            <option value="not_selected_combo"> Chọn cỡ Combo (Combo size)</option>
            <option value="S"> Nhỏ</option>
            <option value="M"> Vừa</option>
            <option value="L"> Lớn</option>
          </select>
        </div>
      
      <label class="col-sm-12 col-form-label">Đường kính pizza</label>
        <div class="col-sm-12">
          <input id="inp-size-pizza" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Sườn miếng</label>
        <div class="col-sm-12">
          <input id="inp-ribs" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Đồ uống</label>
        <div class="col-sm-12">
          <select class="form-control" id="select-drink">
            <option value="not_selected_drink">Chọn đồ uống</option>
          </select>
        </div>

      <label class="col-sm-12 col-form-label">Số lượng nước uống</label>
        <div class="col-sm-12">
          <input id="inp-drink-number" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Voucher ID</label>
        <div class="col-sm-12">
          <input id="inp-voucher-id" type="text" class="form-control" placeholder="...">
        </div>
      
      <label class="col-sm-12 col-form-label">Loại pizza</label>
        <div class="col-sm-12">
          <select id="select-pizza" class = "form-control">            
            <option value="not_selected_pizza"> Chọn loại pizza </option>
            <option value = "Seafood" > Hải sản</option>
            <option value = "Hawaii"> Ha wai </option>
            <option value = "Bacon" > Thịt hun khói </option>
          </select>
        </div>      

      <label class="col-sm-12 col-form-label">Salad</label>
        <div class="col-sm-12">
          <input id="inp-salad" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Thành tiền</label>
        <div class="col-sm-12">
          <input id="inp-amount" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Giảm giá</label>
        <div class="col-sm-12">
          <input id="inp-discount" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label" for="">Họ và tên</label>
        <div class="col-sm-12">
          <input id="inp-full-name" type="text" class="form-control" placeholder="..."> 
        </div>
    
      <label class="col-sm-12 col-form-label">Email</label>
        <div class="col-sm-12">
          <input id="inp-email" type="email" class="form-control" placeholder="..."> 
        </div>

      <label class="col-sm-12 col-form-label">Số điện thoại</label>
        <div class="col-sm-12">
          <input id="inp-phone-number"type="text" class="form-control" placeholder="...">
        </div>
      
      <label class="col-sm-12 col-form-label">Địa chỉ</label>
        <div class="col-sm-12">
          <input id="inp-address" type="text" class="form-control" placeholder="..."> 
        </div>

      <label class="col-sm-12 col-form-label">Lời nhắn</label>
        <div class="col-sm-12 form-group">
          <textarea id="inp-message" class="form-control" placeholder="..."></textarea>
        </div>

      <label class="col-sm-12 col-form-label">Trạng thái đơn hàng</label>
        <div class="col-sm-12">
          <input id="inp-order-status" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Ngày tạo đơn</label>
        <div class="col-sm-12">
          <input id="inp-order-date" type="text" class="form-control" placeholder="...">
        </div>

      <label class="col-sm-12 col-form-label">Ngày cập nhật</label>
        <div class="col-sm-12">
          <input id="inp-update-date" type="text" class="form-control form-group" placeholder="...">
        </div>
        
      <div class="col-sm-12 form-group"> <!--Buttons-->
        <a id="btn-return-click" class="btn btn-primary form-control" href="file:///C:/Users/hphat/Desktop/J2232/2023-02-10/Task%2025.30/task25.30.pizza365.create.and.getOrder.v4.5.html" >Return</a>
      </div>
    </div> 
  </div>
  
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201;
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
 
  function onPageLoading() {
    //get parameter from query string
    var vOrderCode = getParameter();
    console.log("%cORDER Code: ","color:orange", vOrderCode);
  }

  //get parameter from query string
  function getParameter(){
    //locate the parameter from the query string
    var vParamURL = window.location.href
    //get the parameter
    var vUrl = new URL(vParamURL);
    var vOrderCode = vUrl.searchParams.get("orderCode");
    return vOrderCode;
  
  }

</script>

</html>